use lib "lib";
use Petal::Tiny;

print $INC{"Petal/Tiny.pm"}, "\n";

my $stash = {
    h => {
        content =>  sub { "" },
        csrf_field => sub { "" },
        compare => sub { 0 },
        include => sub { "" },
        wiz_class => sub { "" },
        checked => sub { undef },
        selected => sub { undef },
        url_for => sub { "https://who.cares" },
        inputvalue => sub { "" },
        error_class => sub { undef },
        l => sub { shift },
        L => sub { ucfirst shift },
    },
    c => {
        validation => { 
            failed => [],
        },
        url_for => sub { "http://who.cares" },
    },
    '__wizard_values__' => {
        pages => 'contact',
    },
    'action' => 'add',
    'dk_domain_name' => 'munk.dk',
    'lang' => 'da',
    'payer' => undef,
    'user' => undef,
    'contact' => undef,
    'controller' => 'domain-waitinglist',
    'domain_wait_count' => '6',
};

my @files = qw/
    add.html.tal
    add_show_info.html.tal
    add_show_info.html.tal
    default.html.tal
    wizard.html.tal
/;

my $encoding = ":encoding(UTF-8)";
my $tal_ns = q{xmlns:tal="http://purl.org/petal/1.0/"};

for (1..10) {
for my $file (@files) {
    open my $f, "<$encoding", "opt/$file" or die;
    my $xml = join "", <$f>;
    close $f;

    $xml = "<div $tal_ns>$xml</div>";

    my $template = Petal::Tiny->new($xml);
    $template->process(%$stash);
}
}
